# docker pull hub.wesais.cn/cnphpbb/caddy:2-webdav-alpine

# docker compose -p webdav --env-file ./webout/env.cfg -f ./webout/webdav.yml up -d

services:

  caddy-webdav:
    image: ${WEBDAV_IMAGE_TAG}
    restart: unless-stopped
    ports:
      - "28443:28443"
    volumes:
      - ./www-root:/webdav
      - ./configs/caddy/webdav.conf:/etc/caddy/Caddyfile:ro
      - caddy_data:/data
      - caddy_config:/config

volumes:
  caddy_data:
  caddy_config: